package org.jeecg.modules.clinical.budget.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.clinical.budget.entity.FdClinicalBudget;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 临床预算表
 * @author： jeecg-boot
 * @date：   2019-08-17
 * @version： V1.0
 */
public interface IFdClinicalBudgetService extends IService<FdClinicalBudget> {
    List<FdClinicalBudget> getQuotationList();

    FdClinicalBudget getByQuotationId(String quotationId);

    void addFdClinicalBudgetAdd(FdClinicalBudget fdClinicalBudget);

    Map<String, Object> auditBatch(@Param("list") List<String> list);

    Map<String, Object> reviewBatch(@Param("list") List<String> list);

    void deleteFdClinicalBudgetAll(String fdClinicalBudgetId);

    void updateFdClinicalBudgetAll(FdClinicalBudget fdClinicalBudget);

    /**
    * @Author chenchuang
    * @Description //TODO 根据id导出所有数据
    * @Date 2020/8/5 9:29
    * @Param [fdClinicalBudget]
    * @return org.jeecg.modules.clinical.budget.entity.FdClinicalBudget
    */
    FdClinicalBudget exportById(FdClinicalBudget fdClinicalBudget);
}
